View Issue Details

IDProjectCategoryView StatusLast Update
0001642DraftFeaturepublic2014-08-08 01:43
Reportermghansen256Assigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.14 
Target Version0.15Fixed in Version0.15 
Summary0001642: Moving parts created from sketches is ignored
DescriptionWhen a part is created from a sketch, for example by padding, the Data->Placement values are grayed out. When I try moving the part using the Draft->Move tool, the UI suggests that the part is movable, I can click on start and end points of the move, but when the move is completed, the part moves back to its original position. The correct way to move the part is by moving the sketch.

IMHO the Draft->Move tool should tell the user right away that it can not move the part and that the user should move the sketch instead. After all, the UI "knows" that the part can not be moved since the placement data is grayed out. It would be cool if the Draft->Move tool could transparently move the sketch instead, however I do not know whether this conflicts with any other workflows.

The Draft->Rotate tool also accepts rotation of the part, however does not rotate it as suggested by the user when using the tool. Right-clicking on a part and choosing "Transform" sometimes allows usage of a multi-move-rotate-tool, but that also silently goes back to the original position.
TagsNo tags attached.

Activities

wmayer

2014-07-29 08:17

administrator   ~0004866

According to your description it's related to sketches but the bug is clearly in Draft. I will move the topic to the right place.

wmayer

2014-07-29 09:47

administrator   ~0004867

@Yorik: There is now a method getEditorMode() to query whether a property in the editor is read-only or even hidden.

Example:
pad = App.ActiveDocument.Pad
pad.getEditorMode("Placement") => returns a list

The list can be empty so the property is editable
The list can contain the string "ReadOnly"
The list can contain the string "Hidden"

So, the Move command should check for "ReadOnly" in the list.

Hint: The Move command can also create a simple copy so that it still should start up. In this case the "Copy" check-box should be set on and disabled.

yorik

2014-07-29 13:15

administrator   ~0004868

Perfect, I'll fix this!

Related Changesets

FreeCAD: master 6dd35078

2014-08-05 23:28:26

yorik

Details Diff
Draft: issue message if an object cannot be moved or rotated - fixes 0001642 Affected Issues
0001642
mod - src/Mod/Draft/Draft.py Diff File

Issue History

Date Modified Username Field Change
2014-07-28 20:02 mghansen256 New Issue
2014-07-29 08:17 wmayer Note Added: 0004866
2014-07-29 08:17 wmayer Project Sketcher => Draft
2014-07-29 09:41 wmayer Assigned To => yorik
2014-07-29 09:41 wmayer Status new => assigned
2014-07-29 09:47 wmayer Note Added: 0004867
2014-07-29 13:15 yorik Note Added: 0004868
2014-08-05 21:52 yorik Changeset attached => FreeCAD Master master 6dd35078
2014-08-05 21:52 yorik Status assigned => closed
2014-08-05 21:52 yorik Resolution open => fixed
2014-08-08 01:42 yorik Target Version => 0.15
2014-08-08 01:43 yorik Fixed in Version => 0.15